Autore |
Discussione |
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 23 luglio 2008 : 15:09:34
|
SSD
lisp per selezionare i blocchi dinamici in base alle proprietā
Scarica allegato:
ssd.zip 2,18 KB |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
GP
Utente Master
Regione: Piemonte
Prov.: Vercelli
2776 Messaggi |
Inserito il - 01 settembre 2008 : 13:59:53
|
Se ne č giā parlato in giro nel forum, ma non mi sembra di aver visto qualcosa "raccolto" in questo topic, se mi sbaglio dimetelo che cancello:
lisp per eliminare vertici di una polilinea
EliminaVerticePoly.zip
fonte
lisp per inserire nuovi vertici in una polilinea
ADVERT.zip
non ricordo da dove arriva (forse Cadalyst)
Inserire nel lisp il testo in rosso per renderlo "de noantri" e trattare anche le lwpoly (nel '95 non esistevano ancora).
; ADVERT.LSP Add a Vertex (c)1995, Steve Houghton ;revised 3/23/95 to ensure new vertex is at crosshairs ;thanks to Patrick Wheatley
;Inserts a vertex in a polyline. If a line is selected, it offers to convert ;it to a polyline and then insert the vertex. ;Will report: At least one break point must be on polyline. if the end of ;a polyline is chosen ;***************************************************************************
;(defun C:ADV ( / OB OC OO OH POLYLINE POLYNAME PICKPOINT POLYDXF ENTTYPE LASTENT NEWVERT OLDERR ANSWER INSERTVERT)
(princ "\nADD VERTEX")
;*set all env variables, ;*osmode to avoid conflicts with the osnap ;*blipmode to make her pretty (setq OO (getvar "OSMODE") OB (getvar "BLIPMODE") OH (getvar "HIGHLIGHT") OC (getvar "CMDECHO") OLDERR *error* *error* MC_ERR )
;*vertext insert routine (defun insertvert() ;*ensure that last entity is not a compound entity ;*by creating a simple temporary entity as the last entity in the ;*database this way we can be sure that the next two entities ;*will be the two new polylines created by breaking the current ;*polyline (entmake (list '(0 . "POINT") (cons 10 (getvar "VSMIN")))) (setq LASTENT (entlast)) ;*breaks polyline at pickpoint (command "_break" POLYNAME PICKPOINT PICKPOINT)
;*(entnext lastent) will be the next polyline created after lastent ;*(entlast) will be the other polyline created ;*so now join the two and we have a polyline with the new vertex ;*inserted (command "_PEDIT" (entnext LASTENT) "_join" (entlast) "" _exit) ;*get rid of temporary point (entdel LASTENT) (princ "\nMove new vertex: ") (setq NEWVERT (osnap pickpoint "int,vic")) (COMMAND "_STRETCH" "_C" NEWVERT NEWVERT "" PICKPOINT pause) );insertvert
(setvar "OSMODE" 0) (setvar "BLIPMODE" 0) (setvar "HIGHLIGHT" 0) (setvar "CMDECHO" 0)
(while (setq POLYLINE (entsel)) (setq POLYNAME (car POLYLINE) PICKPOINT (osnap (cadr POLYLINE) "_nea") POLYDXF (entget POLYNAME) ENTTYPE (cdr (assoc 0 POLYDXF)) )
(if (OR (= enttype "POLYLINE") (= enttype "LWPOLYLINE"))
(insertvert) (if (= enttype "LINE") (progn (initget "Y y N n") (setq ANSWER (getkword "\nDo you wish to turn this line to a polyline <Y>? ")) (if (or (null ANSWER) (= ANSWER "Y") (= ANSWER "y")) (progn ;*turn current line into a polyline (command "_pedit" POLYNAME "_y" "") (insertvert) );progn );if );progn
(princ "\nMust Select a polyline or line.") );if );if );while
(setvar "OSMODE" oo) (setvar "BLIPMODE" ob) (setvar "HIGHLIGHT" oh) (setvar "CMDECHO" oc) (setq *error* OLDERR) (princ) );end advert.lsp |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
GP
Utente Master
Regione: Piemonte
Prov.: Vercelli
2776 Messaggi |
Inserito il - 26 ottobre 2008 : 18:50:43
|
Lisp per Rinominare Blocchi velocemente. Nella finestra di dialogo viene riproposto il nome attuale per agevolare eventuali piccole modifiche allo stesso senza doverlo ridigitare.
Lo zip contiene:
RB.LSP e RB.DCL per chi volesse apportare migliorie o personalizzazioni (per l'uso almeno il DCL deve essere posto in una cartella del percorso di AutoCAD).
RB.VLX per chi va bene com'č e predilige utilizzare un singolo file (posto in una qualunque cartella).
10/02/2010 un aggiornamento del lisp che mi ero dimenticato di postare
- Impostato il default su OK, ora č possibile confermare con INVIO dopo la digitazione del testo, senza cliccare di nuovo sulla casella; - inserito controllo su nome blocchi esistenti; - ingrandita la casella per la digitazione del nome blocco.
Scarica allegato:
RB.zip
|
Modificato da - GP in data 10 febbraio 2010 14:08:10 |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 31 ottobre 2008 : 07:40:41
|
Inserting and updating time and date in an AutoCAD drawing
Plain text - you can always put dates manually in the text (e.g. by copying from Word)
Diesel macro - you can add a Diesel macro to your toolbars or pull-down menus which inserts the current date/time - use e.g. $M=$(EDTIME,0,DD.MO.YYYY HH:MM:SS); this makes a plain text (never updated)
RTEXT - the remote text command from Express Tools can add a dynamic text containing some property of the drawing or drawing environment - you can e.g. use a Diesel expression $(edtime,0,MON DD"," YYYY - H:MMam/pm) which will display the current date and time. Such date is updated on every regen.
FIELD - dynamic text fields are the most flexible way to add time and date to your drawings. You can use fields separately (as standalone texts, FIELD), in block attributes (e.g. title blocks), or inside Mtext texts. You can choose formatting and various time/date sources (current date, last save date, last plot date, creation date). Please note that the current date value does not behave like the other fields - it is not automatically updated on events defined with the FIELDEVAL variable but only on the UPDATEFIELD command. You can also use Diesel expressions in Fields - use the above mentioned RText Diesel expression to make a dynamically updated time/date in a Field.
You can also enter the field code as a plain text - AutoCAD will properly interpret it even in AutoCAD LT. Use the DTEXT command to enter e.g. the following text: %<\AcVar Date \f "%#c">%
Plot stamp - plot stamp (the PLOTSTAMP command, or the stamp setting in the PLOT dialog) adds time/date texts only to printouts (outside borders) of your drawings.
External data source - an advanced method for inserting live time data (e.g. time of the latest data update) from an external database or XLS table. You can use the dbConnect tools, linking to Excel or an add-on utility. http://www.cadforum.cz/cadforum_en/qaID.asp?tip=6366
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 07 novembre 2008 : 10:15:13
|
Citazione: Messaggio inserito da GP
Lisp per Rinominare Blocchi velocemente. Nella finestra di dialogo viene riproposto il nome attuale per agevolare eventuali piccole modifiche allo stesso senza doverlo ridigitare.
Lo zip contiene:
RB.LSP e RB.DCL per chi volesse apportare migliorie o personalizzazioni (per l'uso almeno il DCL deve essere posto in una cartella del percorso di AutoCAD).
RB.VLX per chi va bene com'č e predilige utilizzare un singolo file (posto in una qualunque cartella).
Saluti.
RB.zip
grazie GP ! questo č un tassello mancante di AutoCAD |
|
|
GP
Utente Master
Regione: Piemonte
Prov.: Vercelli
2776 Messaggi |
Inserito il - 07 novembre 2008 : 13:39:40
|
Prego, ci pensiamo noi CADLandesi.
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 07 novembre 2008 : 14:03:28
|
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 15 dicembre 2008 : 13:11:21
|
Force layer for selected commands (objects).
The FLay LISP utility (reactor) automatically sets layers for drawing objects created with specific commands. The settings are loaded from a customized definition file. Using FLay you can put all newly created Texts, Dimensions, Hatches etc. to the predefined layer names. If the layer does not exist, it will be created. |
|
|
n/a
deleted
Prov.: Estero
Cittā: Sieradz (PL)
5926 Messaggi |
Inserito il - 15 dicembre 2008 : 21:11:18
|
Citazione: Messaggio inserito da arri Force layer for selected commands (objects).
Sulla base della descrizione, questa utility mi pare fenomenale, per almeno 3 buoni motivi.
1] aumento di produttivita', evitando di perder tempo col selettore layers
2] riduzione drastica degli errori tipo "testo messo nel layer Quote"
3] se lo usassero tutti per legge, le tavole tecniche risulterebbero finalmente standardizzate, ma questa e' una mera utopia prenatalizia...
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 17 dicembre 2008 : 07:35:17
|
Citazione: Messaggio inserito da antoniovinci questa utility mi pare fenomenale
chi padroneggia l'uso dei reattori ha a disposizione possibilitā infinite |
|
|
Discussione |
|